Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.system
Class FileManagedConnectionFactory

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject
          com.stc.connector.framework.jca.system.STCManagedConnectionFactory
              com.stc.connector.fileadapter.system.FileManagedConnectionFactory

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.LifeCycle, com.stc.connector.management.STCManagedMaster, java.io.Serializable, javax.naming.Referenceable, javax.resource.spi.ManagedConnectionFactory, javax.resource.spi.ResourceAdapterAssociation, javax.resource.spi.ValidatingManagedConnectionFactory

    public class FileManagedConnectionFactory

extends com.stc.connector.framework.jca.system.STCManagedConnectionFactory

This class implements the ManagedConnectionFactory interface. It is only needed to get an unique class name per resource adapter.

See Also:
  Serialized Form

Constructor Summary
`FileManagedConnectionFactory()`

Method Summary

Methods inherited from class com.stc.connector.framework.jca.system.STCManagedConnectionFactory
`createConnectionFactory, createConnectionFactory, createManagedConnection, createMBean, equals, getApplicationConnectionFactoryClass, getConfiguration, getConfigurationInstance, getConfigurationModel, getConfigurationTemplate, getEwayConnectionClass, getEwayManagedConnectionMBeanClass, getEwayMCFDescription, getEwayMCFMBeanClass, getEwayMCFMBeanName, getEwayMCFName, getInvalidConnections, getLogWriter, getMonitor, getMonitorData, getProcessConfigurationParameters, getProjectInfo, getResourceAdapter, hashCode, isStarted, matchManagedConnections, origSetConfiguration, origSetConfiguration, setApplicationConnectionFactoryClass, setConfiguration, setConfigurationInstance, setConfigurationTemplate, setEwayConnectionClass, setEwayManagedConnectionMBeanClass, setEwayMCFDescription, setEwayMCFMBeanClass, setEwayMCFMBeanName, setEwayMCFName, setLogWriter, setMonitorDataClass, setProcessConfigurationParameters, setProjectInfo, setResourceAdapter, start, stop`

Methods inherited from class com.stc.connector.framework.util.JndiJCAObject
`getReference, getVersion, setReference`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileManagedConnectionFactory

    public FileManagedConnectionFactory()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.